#!/sbin/sh
#
# ADDOND_VERSION=3
#
# /system/addon.d/99-zuicamera-zippo.sh
#
. /tmp/backuptool.functions

list_files() {
cat <<EOF
etc/camera/lock_camera_startup.png
etc/camera/cube/contrast_cool.png
etc/camera/cube/contrast_warm.png
etc/camera/cube/gray.png
etc/camera/cube/vivid_cool.png
etc/camera/cube/vivid_warm.png
etc/camera/face++/beauty3D/db.txt
etc/camera/face++/beauty3D/expdata
etc/camera/face++/beauty3D/mgbeautify_1_2_4_model
etc/camera/face++/beauty3D/model.bin
etc/camera/face++/beauty3D/shapedata
etc/camera/face++/models/detect_trackerfast_model
etc/camera/face++/models/dlmk_model_pack
etc/camera/face++/models/human_beauty_model_image
etc/camera/face++/models/human_detect
etc/camera/face++/models/libsnpe_dsp_domains_skel.so
etc/camera/face++/models/libsnpe_dsp_skel.so
etc/camera/face++/models/libsnpe_dsp_v65_domains_skel.so
etc/camera/face++/models/megviisegment_model
etc/camera/face++/models/skeleton_detect
etc/camera/face++/models/skeleton_detect_dsp
etc/camera/face++/resource/lut_origin_white2.bin
product/etc/permissions/privapp-permissions-zuicamera.xml
product/priv-app/ZuiCamera/lib/arm64/libamipengine.so
product/priv-app/ZuiCamera/lib/arm64/libArcFilter.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_bokeh_capture_jni.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_bokeh_preview_jni.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_dualcam_refocus.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_hdr_detection.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_high_dynamic_range.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_low_light_hdr.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_portrait_distortion_correction.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_supernight.so
product/priv-app/ZuiCamera/lib/arm64/libarcsoft_superresolution.so
product/priv-app/ZuiCamera/lib/arm64/libcalculator_domains_skel.so
product/priv-app/ZuiCamera/lib/arm64/libcalculator_domains.so
product/priv-app/ZuiCamera/lib/arm64/libcalculator_skel.so
product/priv-app/ZuiCamera/lib/arm64/libcalculator.so
product/priv-app/ZuiCamera/lib/arm64/libc++_shared.so
product/priv-app/ZuiCamera/lib/arm64/libc++.so
product/priv-app/ZuiCamera/lib/arm64/libdistortion_correction_jni.so
product/priv-app/ZuiCamera/lib/arm64/libdspCV_stub.so
product/priv-app/ZuiCamera/lib/arm64/libgnustl_shared.so
product/priv-app/ZuiCamera/lib/arm64/libhdr_checker_jni.so
product/priv-app/ZuiCamera/lib/arm64/libjni_jpegutil.so
product/priv-app/ZuiCamera/lib/arm64/libjpeg.so
product/priv-app/ZuiCamera/lib/arm64/libjson.so
product/priv-app/ZuiCamera/lib/arm64/liblcaf_util.so
product/priv-app/ZuiCamera/lib/arm64/liblow_light_hdr_jni.so
product/priv-app/ZuiCamera/lib/arm64/libmegface.so
product/priv-app/ZuiCamera/lib/arm64/libmegskeleton.so
product/priv-app/ZuiCamera/lib/arm64/libMegviiAIReshape.so
product/priv-app/ZuiCamera/lib/arm64/libMegviiBeautyBody.so
product/priv-app/ZuiCamera/lib/arm64/libMegviiDlmk.so
product/priv-app/ZuiCamera/lib/arm64/libmgbb-native-lib.so
product/priv-app/ZuiCamera/lib/arm64/libMGBeauty.so
product/priv-app/ZuiCamera/lib/arm64/libmorpho_defocus_face.so
product/priv-app/ZuiCamera/lib/arm64/libmorpho_memory_allocator.so
product/priv-app/ZuiCamera/lib/arm64/libmorpho_noise_reduction3_jni.so
product/priv-app/ZuiCamera/lib/arm64/libmorpho_panorama_gp3.so
product/priv-app/ZuiCamera/lib/arm64/libmpbase.so
product/priv-app/ZuiCamera/lib/arm64/libnormal_hdr_jni.so
product/priv-app/ZuiCamera/lib/arm64/libPlatformValidatorShared.so
product/priv-app/ZuiCamera/lib/arm64/libreshape_jni.so
product/priv-app/ZuiCamera/lib/arm64/libsingle_bokeh_jni.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_adsp.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_domains_skel.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_domains.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_domains_system.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_domains_v2.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_domains_v2_system.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_skel.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_v65_domains_skel.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_v65_domains_v2_skel.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_dsp_v66_domains_v2_skel.so
product/priv-app/ZuiCamera/lib/arm64/libsnpe_loader.so
product/priv-app/ZuiCamera/lib/arm64/libSNPE.so
product/priv-app/ZuiCamera/lib/arm64/libsuper_night_jni.so
product/priv-app/ZuiCamera/lib/arm64/libsuper_resolution_jni.so
product/priv-app/ZuiCamera/lib/arm64/libsymphony-cpu.so
product/priv-app/ZuiCamera/lib/arm64/libsymphonypower.so
product/priv-app/ZuiCamera/lib/arm64/libwatermarknew_jni.so
product/priv-app/ZuiCamera/lib/arm64/libXImgEngine.so
product/priv-app/ZuiCamera/lib/arm64/libyuvscale_jni.so
product/priv-app/ZuiCamera/lib/arm64/libyuv_shared.so
product/priv-app/ZuiCamera/ZuiCamera.apk
vendor/face++/models/detect_trackerfast_model
vendor/face++/models/human_detect
vendor/face++/models/megviisegment_model
vendor/face++/models/skeleton_detect_dsp
vendor/face++/resource/lut_origin_white2.bin
EOF
}

case "$1" in
  backup)
    list_files | while read FILE DUMMY; do
      backup_file $S/$FILE
    done
  ;;
  restore)
    list_files | while read FILE REPLACEMENT; do
      R=""
      [ -n "$REPLACEMENT" ] && R="$S/$REPLACEMENT"
      [ -f "$C/$S/$FILE" ] && restore_file $S/$FILE $R
    done
  ;;
  pre-backup)
    # Stub
  ;;
  post-backup)
    # Stub
  ;;
  pre-restore)
    # Stub
  ;;
  post-restore)
    for i in $(list_files); do
      f=$(get_output_path "$S/$i")
      chown root:root $f
      chmod 644 $f
      chmod 755 $(dirname $f)
    done
  ;;
esac
